Send a test message via a Slack installation
POST
/v1/slack/installations/{id}/send-test
const url = 'https://your-notavia-host/v1/slack/installations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/send-test';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"slack_user_id":"example","slack_channel_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://your-notavia-host/v1/slack/installations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/send-test \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "slack_user_id": "example", "slack_channel_id": "example" }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
Request Body required
Section titled “Request Body required ” Media type application/json
At least one of slack_user_id or slack_channel_id must be provided.
object
slack_user_id
Deliver as a DM to this Slack user id.
string
slack_channel_id
Post to this Slack channel id.
string
Example generated
{ "slack_user_id": "example", "slack_channel_id": "example"}Responses
Section titled “ Responses ”Test notification accepted.
Media type application/json
object
notification_id
required
string format: uuid
Example generated
{ "notification_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Missing or invalid credentials.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}Credentials do not have the required scope.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}Resource not found.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}